#============================================================================
# pod_all.mk - generate documentation from POD input

# this snippets orchestrates the creation of PostScript, HTML, and
# UNIX man pages from POD input.  All POD files *must* have names
# which end in .X$(POD_SFX), where X is the UNIX man page section to
# which they belong. The only supported sections are l, 3, 5, and 7.

# Prerequisites:
#	create_am_macros.mk


# The caller must define
#  POD_SFX - the suffix of the pod source file
#  PODS    - the list of documentation, basenames only

# Because of how automake works, the caller must set all of the
# following which are applicable:
#
# 	dist_manl_MANS
#       dist_man3_MANS
#       dist_man5_MANS
#       dist_man7_MANS
#
# to the explicit list of man pages. no makefile variables allowed!

# Note that this implies that all pod source files have the same suffix
# If this is not the case, add rules to create .pod files like so:
#
# %.X.pod : %.xx
#	podselect %< > $@
#
# and set POD_SFX to .pod.  Just make sure that %.xx is an invariant
# file (i.e. not something created from a .in file).  Usually just using
# the .in file as the source is pretty safe.

POD_DIR = $(srcdir)/

include $(top_srcdir)/snippets/pod_html.mk

include $(top_srcdir)/snippets/pod_man_init.mk
include $(top_srcdir)/snippets/pod_man_all.mk

include $(top_srcdir)/snippets/pod_ps_init.mk
include $(top_srcdir)/snippets/pod_ps_all.mk

EXTRA_DIST 		+= $(PODS:%=%$(POD_SFX))
